This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 767764

Summary: Preupgrade left my system using grub 1 and didn't fill in grub.conf going from 15-16
Product: [Fedora] Fedora Reporter: Casey Dahlin <cdahlin>
Component: preupgradeAssignee: Richard Hughes <hughsient>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 15CC: hughsient, vanhoof
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-07 12:20:59 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
upgrade syslog
none
upgrade log none

Description Casey Dahlin 2011-12-14 15:26:51 EST
Rebooted into preupgrade, upgraded as usual, rebooted again, and got "file not found." Apparently grub 2 had been installed, but grub 1 was still pointed to by the MBR.

When I got into my system, /boot/grub2/grub.cfg was blank.

Attaching logs
Comment 1 Casey Dahlin 2011-12-14 15:27:20 EST
Created attachment 546874 [details]
upgrade syslog
Comment 2 Casey Dahlin 2011-12-14 15:27:52 EST
Created attachment 546875 [details]
upgrade log
Comment 3 Fedora End Of Life 2012-08-07 12:21:01 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping